javax.xml.stream.util

## Interface XMLEventAllocator

    public interface XMLEventAllocator

### Method Summary

All Methods Instance Methods Abstract Methods
`XMLEvent` `allocate(XMLStreamReader reader)`
`void` `allocate(XMLStreamReader reader, XMLEventConsumer consumer)`
`XMLEventAllocator` `newInstance()`

### Method Detail

#### allocate

    XMLEvent allocate(XMLStreamReader reader)
               throws XMLStreamException

Throws:
  `XMLStreamException`

#### allocate

    void allocate(XMLStreamReader reader,
                  XMLEventConsumer consumer)
           throws XMLStreamException

Throws:
  `XMLStreamException`

#### newInstance

    XMLEventAllocator newInstance()